About Program

"DFIncBackup Home" is a personal backup program designed for incremental backup of files directly to zip archives.

Latest features:

  • Incremental and differential backup of files. It saves only changed files and therefore makes archive size smaller.
  • It can backup to: removable drives, hard disk, network.
  • Supports different media types: Flash disk, External USB hard drive, CD-R, CD-RW, DVD-R, DVD+R, DVD-RW, DVD+RW, etc..
  • Internal CD/DVD burner (no external software need)
  • Uses fully compatible ZIP files format for archives. You can extract files using any ZIP program, for example WINZIP.
    Note: huge zip archives (zip64) with size > 2GB support only by Professional and Standard editions of DFIncBackup.
  • Windows XP, 2003 and Vista work with zip archives directly.
  • Strong encryption - AES 256-bit
  • Internal ZIP archives viewer: open, view, extract files.
  • Internal ZIP archives browser: show all files of project (including files from previous archives), open, view, extract files.
  • Splits large backup archives into several smaller volumes, allowing saving to removable disks.
  • Quickly add files to project by using Wizard and templates.
  • One project can include several folders from different hard disk volumes.
  • Supports several backup folders on different hard disk volumes.
  • Easy archives management: restore by removable media or local copy; view archive content, remove local archive copy, etc..
  • Support edit & create templates for backup applications and data.
  • Flexible tuning of archiving folders: "All" or "Selected file types", exclude file types, criteria for select changed files (by date, by size, by content), include/exclude hidden files, disable/enable archive open files.
  • Subfolders tuning such as root folders.
  • UNC paths support for backup network folders.
  • Easily view included files list in project editor by folders tree.
  • Smart scheduler supports different time conditions (for example "Last day of month").
  • Log file viewer for easy navigation and search.
  • Limitation of simultaneous backup task executing (only for scheduled tasks).

See also:
Comparison with shareware version
Quick start
Frequently Asked Questions (FAQ)

Copyright (c) Gueranitchev A.A., 2003-2008


Quick Start

  1. Double click on DFIncBackup icon in system tray.

  2. Click "Wizard" button to create new backup project.

  3. Enter project name.

  4. Follow wizard instructions and make new backup project.

  5. Press "Finish" to create new backup project.

    Check "Edit project properties" when you need advanced configuration (tune subfolders, additional schedule times, etc.).
    In project window, press OK to save project.

  6. Press OK to start backup project.

  7. Project creation is complete!

Please read documentation to learn the flexible and useful features of DFIncBackup.

See also:
About program
Project Wizard
Comparison with shareware version
Program operations
Frequently Asked Questions (FAQ)

Copyright (c) Gueranitchev A.A., 2003-2008


Comparison of Features in Each DFIncBackup Editions

Comparison of DFIncBackup Editions

The following table shows features of each DFIncBackup edition (Home, Professional):
Note: Latest version of this comparison table located here.

Feature | Home edition | Professional edition
License | Freeware | Shareware
Quick start with Wizard and templates | Yes | Yes
Incremental backup | Yes | Yes
Differential backup | Yes | Yes
Full compatible ZIP archives format | 2GB | Unlimited size
Strong encryption (AES 256-bit) | Yes | Yes
Backup to: removable drives (CD/DVD, flash disk, ext USB drive, etc), local hard disk, network | Yes | Yes
Internal CD/DVD burner | Yes | Yes
Split large backup archives into several volumes | Yes | Yes
Quick restore with archives manager | Yes | Yes
Flexible tuning as root folders as sub folders | Yes | Yes
Internal scheduler | Yes | Yes
Reduce CPU loading by "Program priority" option | Yes | Yes
Limitation of simultaneous backup task executing | Yes | Yes
Log file viewer | Yes | Yes
Support for large zip archives (zip64) |  | Yes
Shortcuts to "One click" manual backup |  | Yes
Execute OS command after backup task complete |  | Yes
Sequence of tasks execution |  | Yes
Command line support |  | Yes
Internal ZIP archives viewer: view, open, extract files | Yes | Yes
Internal ZIP archives browser: view, open, extract all current files of project | Yes | Yes
Backup folder limitation by archive size or free space on volume |  | Yes
Automatically swap to next volume of hard disk |  | Yes
Additional compression levels: fast, maximum |  | Yes
Tune error message window appearence |  | Yes
Support by email |  | Yes

See also:
About
Quick start
Frequently Asked Questions (FAQ)

Copyright (c) Gueranitchev A.A., 2003-2008


License
DFIncBackup Home Copyright (c) 2003-2008, Gueranitchev A.A.

NOTE

Please read the following lines carefully before using this software. If you disagree with any of the following, you are not allowed to use this program. You MUST then delete it immediately.

Freeware license

The "DFIncBackup Home" program is freeware. Anyone may use this software for free on ANY number of computers.
The "DFIncBackup Home" freeware version, may be freely distributed, provided the distribution package is not modified. Under modifications is understood the changing, adding or removing of any files of this package without the author's written permission.

Ownership rights

Title, ownership rights, and intellectual property rights to "DFIncBackup Home" are exclusively owned by Andrei Gueranitchev.

Liability

DFincBackup program is distributed "as is". No warranty of any kind is expressed or implied. You use it at your own risk. The author will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.
You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
Installing and using DFIncBackup signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license you must remove DFIncBackup files from your storage devices and cease to use the product.

DFIncBackup Home Copyright (c) 2003-2008, Gueranitchev A.A.


What is shareware

What is freeware?

Freeware lets you using a program for free while license conditions is observing . A licensed version of this product can be use without time limitation. Also you can get free updates in future. Detail see in license.


Removable drives support

Media types

Supported media types

Removable drives
Hard disk
Network

Removable drives

Tune a removable drive by using menu "Project | Properties". Select "Target" - "Removable drive".

Now DFIncBackup supports writing to the following media types:
1) Native direct write drives:
Flash disk, External USB hard drive, Floppy, ZIP drive, Magneto-optical disks, etc;
2) DVD and CD disks, which will be written by internal burner. It is recommended to use DVD+RW, DVD-RW and CD-RW for your backup archives.

Note: your must have a free space on harddisk to store temporary disk image: DVD - 4,7GB, CD - 700MB.

Hard disk

1) Tune location of backup folder by using menu "File | Configuration".

2) After that, use menu "Project | Properties". Select "Target" - "Local disk only".

Note: This backup folder is common for all projects. To store to another folder use "Target" - "Folder on local disk, network, etc.".

Network

Tune network folder by using menu "Project | Properties". Select "Target" - "Folder on local disk, network, etc".

Two possible ways to use network folders:
1) By UNC path;
2) By mapped drive letter.


Zip files

The ZIP is general purpose compression format.

There are a lot of programs, which support ZIP archives:
WinZip, WinXP compressed folder viewer, etc.

Starting from version 2.X, Pro and Std (see table below) editions of DFIncBackup support huge zip archives (zip64), which have maximum size 16,000,000,000 GB.

Note: Home edition of DFIncBackup supports only standard ZIP archives with size <= 2GB.

DFIncBackup Edition | Home | Std | Pro
Zip archives size | 2GB | 15GB | Unlimited


ZLib library

The ZIP packer of DFIncBackup program uses the general purpose compression library ZLIB. ZLIB was written by Jean-loup Gailly (compression) and Mark Adler (decompression). This library contain general routines for ZIP files management. ZLIB is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system.

You can find source and compiled versions of ZLIB library on internet site
http://www.zlib.net/.


Glossary

Backup log file - this file contains three types of messages (info, error, warning) about backup process.

Configuration log file - this file contains three types of messages (info, error, warning) about loading and applying configuration parameters.

Disk Image - this is a folder containing files and folders for writing to removable disks (e.g. DVD+RW).

Template - set of defined filemask for including and excluding files. Most helpful for a quick project tune.

Saved archive - an archive which was saved to a disk.

Unsaved archive - an archive which not saved to a disk.


DFIncBackup site 1

Contacts

DFIncBackup home sites

  • Main site - http://www.dfincbackup.com/
  • Mirror - http://www.dfincbackup.biz/

Email:

  • staff@dfincbackup.com

Copyright (c) Gueranitchev A.A., 2003-2008


Frequently Asked Questions

Frequently Asked Questions (FAQ)

Q: Can I backup different files or folders from several hard disk volumes?
A: Yes, you can place several root folders from different hard disk volumes into one backup project.

Q: How can I exclude some files or folders from backup?
A: To exclude files use "Exclude files" tab in root or subfolder properties and add excluded filemasks.
For exclude entire folder: select it in folders tree and check "Tune this folder", on tab "Include files" click button "Disable".

Q: Is it possible to backup files which open with other programs?
A: Yes, open folder property, check "Enable archive open file" for each include file mask and on tab "Default options".
Note: some files are not accessible even for reading. Such files can't be backed up.

Q: Can I backup only subfolders from root folder?
A: Yes, on root folder property - click button "Disable" on tab "Include files". For each required subfolder: select it in folders tree and check "Tune this folder", on tab "Include files" click button "Selected" or "All". All options similar root folder.

Q: Can this program do full restore of operating system to empty hard disk?
A: This version can't do it. It can restore files after Windows is installed on hard drive.

Q: Can DFIncBackup run as a service on Windows NT/2000/XP?
A: This version work as an application. This feature is planned for future versions.

Q: How I can extract files from archive without DFIncBackup?
A: Use any ZIP archive extractor for extract files, for example WinZip.
Windows XP, 2003 and Vista work with zip archives directly.

See also:
Program operations


Program operations

Basics operations

  • Program Executing
  • Creating / Editing backup projects
  • Make manual backup
  • Restore files from archives
  • View content of archives
  • Remove archives
  • View errors

Advanced operations

  • Restore file list state
  • Restore projects on another computer
  • Restore projects list and state after windows reinstallation
  • Create / Edit template files (*.fsh)
  • Configuration dialog parameters

Glossary


Project Wizard

Open "Project wizard" window by selecting menu item "Project | Create New"
or click on toolbar button [image].
1) Pages of "Project wizard" window:

a) Create project
b) Select folder type
c) Select folder location
d) Select include files
e) Select exclude files
f) Add new folder - summary
g) Add new folder
 h) Select target drive (folder)
 i) Select backup type
j) Default selection rules and compression level
k) Tune schedule
l) Full backup schedule time
m) Incremental backup schedule time
n) Security
o) Shortcuts for "One Click" manual backup
p) Final step

2) Using "Selected file types" template

1) Pages of "Project wizard" window

a) Create project

  1. To create a project with the wizard press "Next".
  2. To escape press "Cancel".

b) Select backup template

  1. Select template, which you will use to add folder(s) to new project.
  2. Press "Next" to continue.

This list shows all templates which are available in the configuration dialog.
Last project template is special:
Selected file types - allows using custom file masks and templates simultaneously.

c) Select folders to backup

  1. Select those folders with files you want to backup. Enter path manually or press "Browse".
  2. Check "Include sub folders", if you want to include subfolders in the archive.
  3. Press "Next" to continue.

d) Select include files

  1. Select required file masks using checkboxes. Use buttons "Select All" and "Clear All" to quickly select and deselect all items.
  2. Select include mode by combobox:
    1) Selected files - include only files, which match the included file masks from list.
    2) All - include all files except those that match the excluded file mask list (tab "Exclude files").
  3. Press "Next" to continue.

e) Select exclude files

  1. Select required file masks using checkboxes. Use buttons "Select All" and "Clear All" to quickly select and deselect all items.
  2. These file masks are used to exclude files from backup archive.
  3. Press "Next" to continue.

f) Add new folder - summary

  1. Look at summary info for adding new folder to project.
  2. If you need to correct parameters on previous pages, press "Back".
  3. Press "Next" to add folder.
  4. Information window appears. Press "OK" to continue.

g) Add another folders

In this window you must select your next actions:
a) Tune target drive (folder) with wizard: select "No. Continue with tuning drive (folder)" and press "Next".
b) Add one more folder to project: select "Yes. Add another folders" and press "Next".

h) Select target drive (folder)

a) Select target: "Removable drive", "Local disk only", "Folder on local disk, network, etc.".
b) Check "Save local copy of archive" to store copy of archive on local disk, when
target is removable drive or network folder.

i) Select backup type

Select backup type:
a) Incremental - Each time only changed files will be saved. All previous incremental archives and full backup archive need to restore.
b) Differential - Each time it will save files, which was changed since full backup. Only full backup archive need to restore.

j) Default selection rules and compression level

a) Select method for detect changes of files. This methods will using by default for all root folders and subfolders.
b) Enable/Disable archiving open and hidden files.
c) Set compression level: No compression, Normal, Fast, Maximum.

k) Tune schedule

In this window you must select your next actions:
a) Select Backup type and press "Next" to tune schedule time.
b) Finish work without schedule tuning - deselect "Enable scheduling" and press "Finish".

l) Full backup schedule time

Tune schedule time to begin full backup.

m) Incremental backup schedule time

Tune schedule time to begin incremental backup.

n) Security

If it need, check "Enable password protection" and enter password into fields "Password" and "Confirmation".

o) Shortcuts for "One Click" manual backup

If you don't need shortcuts, deselect checkboxes.
Note: this feature is present only in Professional and Standard editions.

p) Final step

If you want to tune project more detail (special configuration for sub folders, exclude custom file or mask, etc), check option "Edit project properties".

Click "Finish" to save project.

2) Using "Selected file types" template

In "Selected file types" folder type mode, you can add custom file mask and also select it from templates.

  1. To add file mask press button [image].
  2. To enter custom file mask:
    1) Select "Custom file type" from the list at left.
    2) Enter "File mask".
    3) If required, enter "Description".
    4) Select default method for archiving files:
    a) Enable archive open files - if this option is checked, files opened by other program (for example MS Word) will be backed up. Otherwise these files will be skipped.
    b) Enable archive hidden files - if this option is checked, hidden files will be backed up. Otherwise hidden files will be skipped.
    Note: By default it is unchecked because most popular programs mark temporary files as hidden.
    5) Select default method for detecting changes (use only in incremental archives):
    a) By date:
    Only new files - include only files with changed date newer than in previously saved archive.
    Any Changes - include files with changed date compared to the previously saved archive.
    b) By content - include files with changed content. This condition will checked by CheckSum.
    6) Press "OK" for save changes.

  3. To select file masks from templates:
    1) Select included files type from the list at left (for example "Microsoft office")
    2) Select required file masks with checkboxes. Use buttons "Select All" and "Clear All" to quickly select and deselect all items.
    3) Press "OK" to save changes.

  4. You can see new file mask in list.
  5. Edit file mask by button [image].
  6. Delete file mask by button [image].
  7. Press "Next" to continue.

  8. If required, on page "Select exclude files", add file masks as described above.
  9. See "Add new folder - summary" to continue.


Program executing

The program can be started in two ways:

  1. Automatically, when starting PC (by default).
  2. Manually, at any time when needed.

Use automatic start for scheduled backup projects. If you don't use internal scheduler (i.e. make manual backup), you can start program manually.
After program starts, it places an icon [image] in the system tray. Click right mouse button on this icon. A popup menu selection appears:

  • "Tasks Monitor" - to work with archives (backup, save to disk, restore, etc.).
  • "Exit" - to close program.


Creating \ Editing backup projects

Create \ Edit backup projects

Description of controls
Quick navigate
Create new project
Edit project
Delete project

Description of controls

Open monitor window: click right mouse button on tray icon [image] and select "Monitor" in popup menu.
In monitor window you can see existing projects list. The first time the program is run, the monitor window is empty.

For edit/view project properties, select a projects from list and press button [image] on the toolbar, or press Alt+Enter. A sample of the project properties window is shown below. When you select items in the Folders Tree, the Property panel shows properties for selected item. "Quick navigate" button allows quick navigating between folders.

Quick navigate

  1. For quick navigating press button "Quick navigate" or Alt+0.
  2. In the window "Tuned folders" select the required folder.
  3. Press button "Goto" or Enter.

Create new project:

  1. You can create a new project by selecting menu item "Project | Create New" or click on toolbar button [image].
  2. Enter new project name or leave default name. Warning: this project name will be used as folder name, therefore it must contain only symbols enabled in folder names.
  3. Wizard window appears:
    a) Use it to easily create a project with wizard help. See "Project wizard" for detail.
    b) Press "Cancel" to create project manually.
  4. In opened project window, you can see tree with parameters section names on the left and content of selected parameter section on the right.
  5. Now enter "Project Description".
  6. If you want the backup project started by the scheduler, check "Enable schedule". Edit schedule times as described in chapter "Edit schedule times".
  7. Select Backup type: Incremental or Differential.
  8. Select default method for detecting changes (use only in incremental archives):
    a) By date:
    Only new files - include only files with changed date newer than previously saved archive.
    Any Changes - include files with changed date from the previously saved archive.
    b) By content - save files with changed content. This condition will checked by CheckSum.
  9. Select default method for archiving files:
    a) Enable archive open files - if option checked, files opened by other program (for example MS Word) will be backed up. Otherwise this file will be skipped.
    b) Enable archive hidden files - if option checked, hidden files will be backed up. Otherwise hidden files will be skipped.
    c) Compression - default compression level for project.
    d) Keep unexisting files - if option checked, in incremental backup mode deleted files will not removed from archive.
  10. Target drive for saved archives:
    a) Default settings - all drive parameters used from configuration.
    b) Select Drive letter.
    c) Select or enter drive size. Warning: size "Auto" can't using with unchecked option "Direct write".
    d) Select "Direct write" option, if target drive can be written directly by drive letter (like floppy drive). Use this option for flash disk, external USB harddisk, CD/DVD disks, etc.
    e) "Auto detect" option is used for automatically detecting (if possible) next parameters: Direct write, disk size. If setting this option gives a wrong result, deselect it.
  11. Add new root folder to project:
    a) In folders tree (left panel) select "Add new root folder".
    b) Press button "Add new folder"
    c) In dialog "Select new root folder location" select folder, which you want to archive.
    d) Select appearing item "Root folder 0".
    e) Now you can see Explorer-like files list in right panel.
    f) Select mode of including files using one of three buttons:
    "Selected" - include only files which match with filemasks on "include files" tab.
    "All" - including all files.
    "Disable" - don't include any file.
    g) Check "Include sub folder", if you want include files from all subfolders.
    h) If you set select mode "Selected", add include files by button [image]. In the window "Add include files" you can select "Include file type":
    1. "Custom file type" - you can enter file mask and file type description. (For example: *.doc, My*.bmp)
    2. "Other file types" - recommended. You can select file types from template by list "Select components". To select required file type check it.
    Press "OK" to add file types in include files list.
    i) If required, add exclude file mask on "Exclude files" tab by button [image].
    j) Switch to "Default option" tab, which contains options which will be used in "All" including files mode. Check "Default from parent", if you want to use settings from project page. For specific settings uncheck it and use checkboxes below (parameters description see in step 6 and step 7).
  12. If required, add other new root folders (see step 9)
  13. Press button "OK" for save project.

Edit project

  1. Select project in "Projects list". Open its properties by click on toolbar icon [image] or press Alt +Enter.
  2. In opened project window, you can see the tree with parameters section names on the left and parameter section content on the right.
  3. In "Folders tree", select "Project" item for changing main properties:
    a) Project description.
    b) Schedule and condition. For details, see "Edit schedule times".
    c) Default method for detect changes.
    d) Default method for archiving files.
    e) Target drive for save archives.
  4. To add a new root folder see p.9
  5. Edit root folder properties:
    a) Select it in "Folders tree".
    b) On sheet "Include files" you can change include method:
    "Selected" - only selected by file masks.
    "All" - all files excluding those defined by "Exclude files" filemasks.
    "Disable" - don't include any file.
    Note: Even if "Disable" option selected for root folder you can tune one or more subfolders for archiving files.
    c) On sheet "Include files" checkbox "Include sub folders" - all files from subfolders will archive with root folder settings.
    Note: You can tune the subfolder for change archiving rules or disable archive it.
    d) On sheet "Exclude files" you can change exclude file masks.
    e) On sheet "Default options" you can change settings for including method "All".
    Note: use this setting only for files, which not match with "Include files" masks.
    f) If required, tune subfolders like root folder.
    - Select root folder in "Folders Tree"
    - Open root folder by "+" at left. It works like Windows Explorer.
    - Select required subfolder
    - Check "Tune this folder" . You can see folder property panel. Tune it like root folder property panel.
  6. If required, change root folder location:
    a) Select it in "Folders tree".
    b) Click right mouse button and select "Change folder" OR press Ctrl+H.
    c) Change root folder location and press OK.
  7. Delete root folder:
    a) Select it in "Folders tree".
    b) Click right mouse button and select "Delete" OR press key "Delete".
    c) Confirm deletion of root folder by pressing "Yes".
  8. Save changes by pressing OK in project window.

Delete project

  1. Select project in "Projects list".
  2. Click right mouse button and select "Delete" OR press key "Delete".
  3. Confirm deleting of project by press "Yes".
    Note: when you delete project, all archives of this project will stay unchanged in the "Backup folder". Also you can restore a project from one of this archives. Detail see in "Restore files from archives" and "Restore projects on another computer".


Edit schedule times

Add schedule time
Edit schedule time
Delete schedule time

Add schedule time:

  1. If button "Add" is dimmed, check "Enable scheduling".
  2. Press "Add" button. "Add new schedule time" dialog box will appear.
  3. Select schedule event type using "Run type" combobox:
    a) Week days - select week days and time.
    b) Month day - select month day (include "Last Month Day" option) and time.
    c) Year day - select month, month day and time.
    d) Specific day - select specific date and time.
  4. Select Backup type:
    a) Normal (incremental backup) - if previous archive exists, save only changed files. In other case save all files.
    b) Full - always save all files.
  5. Press "OK" for save schedule time.

Note: You can see the time of the next scheduled event in the column "Next time" of project list.

Edit schedule time:

  1. Select schedule item in list.
  2. Press "Edit" button or double click on selected item.
  3. Change needed options: Run Type, Backup type, Time, other.
  4. Press "OK" for save schedule time

Delete schedule time:

  1. Select schedule item in list.
  2. Press button "Delete" or press key "Delete".
  3. Confirm delete item, by press "Yes".

Note: if you want to restore a deleted item, drop project changes by pressing "Cancel" in project window and open project again.


Make manual backup

Note: You can start a backup project manually at any time.

Start backup manually

  1. Select project from project list.
  2. Press button [image] on toolbar or F5 key
  3. Choose backup type:
    a) Full backup - save all selected files.
    b) Incremental backup - save only changed files.
  4. You can see project status in "Status" column
  5. When backup is complete, "Status column" will contain:
    a) "Not active" - backup was successful.
    b) "Errors" - some errors occurred. Press [image] to see detail error description in Backup log.

Backup task management

  1. For stop executing backup task press [image] or Ctrl+F2 key.
  2. To pause executing backup task:
    a) Press [image] or Ctrl+F2 key.
    b) For continue executing press [image].


Restore files and manage archives

Description of controls
View content of archives
Restore files from archives
Remove archives
Advanced backup / restore operations

Description of controls:

By default, checkbox "Show Only new", located on Information panel, is checked. In this case it shows only archives, which are not saved to removable disks. To see all archives of all projects uncheck "Show only new" checkbox.

Also information panel shows number and summary size of selected archives.

Archives tree contains projects names and archives. New (not saved to removable disk) archives are shown by bold font. Projects, which do not have archives or New archives (if "Show only new" checked), are not shown in archives tree.

You may see detailed information about a selected item by clicking button "Properties" or pressing Alt+Enter keys.

Use context menu for quick access to available functions.

View content of archives:

Each ZIP archive can be viewed by clicking button "View" or pressing Alt+V.
You can view or extract any selected files.

Each ZIP archive can be browsed by clicking button "Browse" or pressing Alt+B.
Archive Browser allow to view content of backup set, which can include several archives.
For example: One full backup archive, and several incremental backup archives.

Restore files from archives:

  1. Select archive for restoring in one of two ways:
    a) If archive exists in "Archives tree" select it and press button "Restore".
    b) If archive is located on removable disk, press button "Restore from disk", enter into project folder, select archive and press "Open".
    Note: By default checkbox "Enable use harddisk copy of archive" is checked, therefore it will try to use previous archives from "Backup" folder, and if archive not found try get it from removable disk. If you don't want to use a local copy of archives, uncheck this checkbox.
  2. If you need to change settings of restoring, press "Settings":
    a) Restore files from backup archive - enable to restore backed up files from archive.
    b) Restore only changed files - existing files with equal name, date, size will not restore from archive. Use it only if you are sure existing files aren't corrupt.
    c) Ask to save archives to harddrive - you will be prompted to save archives from removable disk to "Backup" folder.
    d) Restore original project - enable to restore project settings from archive.
    e) Restore project state (files list) - enable to restore state of files list, which contains last saved files attributes: name, date, size, CRC
  3. To start restoring from disk press "Start". You will be asked to insert next removable disk, if the archive is located on several removable disks.
  4. If needed, change location of root folders in window "Edit backup root folders". Otherwise press "OK" to continue. To change root folder location:
    a) Select root folder from list.
    b) Press "Edit", select folder location and press "OK".
    c) Press "OK" to save changes.
  5. After process is finished:
    a) A "success" message box will appear - if all OK.
    b) An "error" message box will appear - if some error has occurred.

Remove archives:

  1. Check archives in "Archives tree". Number and summary size of selected archives will show on "Information panel".
    Note: You may choose archives from several projects simultaneously.
  2. Press button "Erase" or press key "Delete".
  3. Confirm deleting of archives by pressing "Yes".

Advanced backup / restore operations

Restore files list state
Restore projects on another computer
Restore projects list and state after windows reinstallation

Restore files list state

Why is it needed?

  • Latest incremental archive is broken. To make full backup disk set, you need to replace latest archive with new one.
  • Latest archive includes unneeded files. You can see it and correct project settings, but files are already included into archive.

Steps:

  1. Open latest good archive:
    a) to restore from local copy: select archive in "Archives tree", press button "Restore".
    b) to restore from removable disk: insert removable disk with archive, press button "Restore from disk", enter into project folder, select archive and press "Open".
  2. Change settings of restoring: press "Settings", check "Restore files list only", press "OK"
  3. To start restoring press "Start". In case you are restoring from removable disks, you may be asked to insert next removable disk, if the archive is locate on several removable disks.
  4. After process finished:
    a) A "success" message box will appear - if all OK.
    b) An "error" message box will appear - if some error has occurred.

Restore projects on another computer

  1. Insert removable disk with archive, press button "Restore from disk", enter into project folder, select archive and press "Open".
    Note: By default checkbox "Enable use harddisk copy of archive" is checked, therefore it will try to use previous archives from "Backup" folder, and if archive not found try get it from removable disk. If you don't want to use a local copy of archives uncheck this checkbox.
  2. If want to backup files from this computer in future, change settings of restoring:
    a) Press button "Settings".
    b) Check "Restore original project" - project settings will restore from archive. This is required for appearance of a project used for backing up files.
    c) Check "Ask to save archives to harddrive" - you will be prompted to save archives from removable disk to "Backup" folder. This option allows easy return to previous files state by restoring from local copy of archive.
  3. To start restoring press "Start". You will be asked to insert next removable disk, if archive is located on several removable disks.
  4. If needed, change location of root folders in window "Edit backup root folders". Otherwise press "OK" to continue. To change root folder location:
    a) Select root folder from list.
    b) Press "Edit", select folder location and press "OK".
    c) Press "OK" to save changes.
  5. After process finished:
    a) A "success" message box will appear - if all OK.
    b) An "error" message box will appear - if some error has occurred.

Restore projects list and state after windows reinstallation

Several variants of restoring:

NN | Program folder | Backup folder(s) | Restore instructions
1 | Removed or corrupted | OK | Install DFIncBackup program again. Tune "Backup" folder for actual folder location.
2 | Removed or corrupted | Removed or corrupted | Install DFIncBackup program again. Restore projects and data files from archives located on removable disks.


Internal ZIP archives viewer

Description of controls
View file
Extract file
Show archive properties
Show file properties
Test archive
Open another archive

Description of controls:

Open Zip archive viewer: in window "Manage archives" select needed archive and press button View. Hot key is "Alt+V".

Number and size of selected files show in status panel at bottom of window.

View file

Select file and use menu "Commands | View" or press "Alt+V". Standard notepad editor using as external viewer.

Extract file

To extract file(s):
1) Select file to extract. If several files need to extract, select first file and hold key "Ctrl" for select other.
2) Use menu "Commands | Extract" or press "Alt+E".
3) Select folder to extract selected file(s).
Note: the file(s) will extract with path.

Show archive properties

Use menu "Commands | Archive info" or press "Alt+I".

Show file properties

Select needed file and use menu "Commands | Properties" or press "Alt+Enter".

Test archive

Use menu "Commands | Test" or press "Alt+T".

Open another archive

If need, you can open another file by using menu "File | Open" or press "Ctrl+O".


Internal ZIP archives browser

Description of controls
View file
Extract file
Show archive properties
Show file properties
Test archive
Open another archive

Description of controls:

Open Zip archive browser: in window "Manage archives" select needed archive and press button "Browse". Hot key is "Alt+B".
It show all files of project (including files from previous archives).

Number and size of selected files show in status panel at bottom of window.

View file

Select file and use menu "Commands | View" or press "Alt+V". Standard notepad editor using as external viewer.

Extract file

To extract file(s):
1) Select file to extract. If several files need to extract, select first file and hold key "Ctrl" for select other.
2) Use menu "Commands | Extract" or press "Alt+E".
3) Select folder to extract selected file(s).
Note: the file(s) will extract with path.

Show archive properties

Use menu "Commands | Archive info" or press "Alt+I".

Show file properties

Select needed file and use menu "Commands | Properties" or press "Alt+Enter".

Test archive

Use menu "Commands | Test" or press "Alt+T".

Open another archive

If need, you can open another file by using menu "File | Open" or press "Ctrl+O".


View errors

View backup log
View configuration log

View backup log

Open backup log in one of two ways:

  1. If errors occurred after last backup log viewing, you must double click left mouse button on "Error indicator" of status panel. "Error indicator" shows the number of errors, which occurred after last backup log viewing.

    Note: if "Error indicator" contain "OK", you can't open backup log this way.
  2. Use button [image] on toolbar or press Alt+L

Backup log contain several message types about backup process:

  • General message - only information, all OK
  • Error message - any error, which occurred during backup task executing
  • Warning message - some noncritical error

By default the log viewer shows messages from the first error since last viewing the log, OR messages of the past week. In the top panel you can see the number of selected messages and current filter settings.

For select another filter:

  1. Press button "Select messages".
  2. Select another filter settings in "Select messages" window:
    a) Date - set date range.
    b) Project name - if not empty, select only messages for this project.
    c) Message types - filter messages by type.
  3. Press "OK" for apply filter.

View configuration log

Open configuration log by menu "File | Configuration log".

Configuration log contains several type of messages about loading and changing program configuration:

  • General message - only information, all OK
  • Error message - any error, which occurred during loading or changing program configuration
  • Warning message - some noncritical error

By default the log viewer shows messages for last 1 week. In the top panel you can see the number of selected messages and current filter settings.

For select another filter:

  1. Press button "Select messages".
  2. Select another filter settings in "Select messages" window:
    a) Date - set date range.
    b) Project name - if not empty, select only messages for this project.
    c) Message types - filter messages by type.
  3. Press "OK" for apply filter.


Create \ Edit \ Export \ Import template files (*.fsh)

Create \ Edit template files (*.fsh)

Why is it needed?

  • It is needed for quickly creating projects using standard or user defined templates. Each template is located in a *.fsh file and contains descriptions and masks for including and excluding file types. You can see templates while selecting include and exclude files by using "Include file type" combobox (p.9.h).

Description of controls
Create template files
Edit template files
Remove template files

Description of controls

  • Combobox "Template name" is used for selecting template by filename.
  • Field "Description" contains the description of the template.
  • Field "Folder" - contains default location of root folder. It can be an absolute path (c:\MyDocs\MyNotes), or it can contain system path variables (<MYDOCS>MyNotes\).
  • File mask list contains all file masks defined for including (excluding) files. Switch between include and exclude file mask lists by tabs "Include files" and "Exclude files".
  • On "Include files" tab:
    a) Combobox "Select include mode":
    Selected files - include only files, which match with file masks from list
    All - include all files except that match with exclude file mask list (tab "Exclude files")
    b) Checkbox "Include sub folders".

Create template files

  1. Open configuration window by selecting the menu item "File | Configuration" or click on toolbar button [image].
  2. Switch to "Templates" tab.
  3. Press button "New".
  4. Enter template name and press "OK".
    Warning: This name is used as filename, therefore it must contain only allowed symbols.
  5. Enter description for template into field "Description".
  6. Select include mode using the combobox:
    1) Selected files - include only files, which match file masks from list.
    2) All - include all files except that match with exclude file mask list (tab "Exclude files").
  7. Check "Include sub folders", if need include subfolders into archive.
  8. Add include file mask:
    1) Switch to "Include files" tab
    2) Press button "Add".
    3) Enter file mask. For example: *.txt, pic*.bmp
    4) Enter description
    5) Select default method for archiving files:
    a) Enable archive open files - if this option is checked, files opened by other program (for example MS Word) will be backed up. Otherwise these files will be skipped.
    b) Enable archive hidden files - if this option is checked, hidden files will be backed up. Otherwise hidden files will be skipped.
    Note: By default it is unchecked because most popular programs mark temporary files as hidden.
    6) Select default method for detecting changes (use only in incremental archives):
    a) By date:
    Only new files - include only files with changed date newer than in previously saved archive
    Any Changes - include files with changed date compared to the previously saved archive
    b) By content - include files with changed content. This condition will checked by CheckSum.
    7) Press "OK" for save changes.
  9. Add exclude file mask (if needed):
    1) Switch to "Exclude files" tab
    2) Press button "Add".
    3) Enter file mask. For example: *.txt, *.bmp.
    4) Enter description
    7) Press "OK" for save changes.
  10. Save changes:
    a) Press "OK" - if you finish edit templates.
    b) Select a different template using the "Template file" combo box. In the window "Save changes in template" press "Yes".

Edit template files

  1. Open configuration window by selecting the menu item "File | Configuration" or click on toolbar button [image].
  2. Switch to "Templates" tab.
  3. Select template by "Template file" combo box.
  4. Change description (if needed)
  5. Edit include file mask list - switch to "Include files" tab:
    a) Add new file mask - press button "Add" or key "Insert", edit parameters, press "OK"
    b) Edit file mask - select it in file mask list, press button "Edit" or double click on it, edit parameters, press "OK".
    c) Remove file mask - select it in file mask list, press button "Delete" or key "Delete", confirm removing by press "Yes"
  6. Edit exclude file mask list - switch to "Exclude files" tab:
    a) Add new file mask - press button "Add" or key "Insert", edit parameters, press "OK"
    b) Edit file mask - select it in file mask list, press button "Edit" or double click on it, edit parameters, press "OK".
    c) Remove file mask - select it in file mask list, press button "Delete" or key "Delete", confirm removing by press "Yes"
  7. Save changes:
    a) Press "OK" - if you finish edit templates.
    b) Select a different template using the "Template file" combo box. In the window "Save changes in template" press "Yes".

Remove template files

  1. Open configuration window by selecting the menu item "File | Configuration" or click on toolbar button [image].
  2. Switch to "Templates" tab.
  3. Select template by "Template file" combo box.
  4. Press button "Remove"
  5. Confirm removing by press "Yes".


Configuration dialog parameters

Open configuration window by selecting the menu item "File | Configuration" or click on toolbar button
Configuration window contain several sheets:
1) Main parameters
2) Startup
3) Templates
4) Disk drives
5) Internal CD/DVD burner

Main parameters

This sheet contains all critical parameters.

  • Local HDD folder - contains full path to folder, which is used for archive storage. User can change it manually.
  • Running option:
    a) Limit max amount of simultaneously tasks executed - if checked, limits the maximum number of backup tasks which can be started by the internal scheduler. Manually started tasks are not limited in this way.
    b) Program priority - This option is only for advanced users. It changes the program running priority. This parameter can be: Normal (by default), Low, Lowest.
  • Temporary folder location (location of folder for temporary files):
    a) Windows temp - uses windows temp folder.
    b) Backup folder - uses current "Backup folder".
    c) User defined - uses user defined folder as temporary folder.
  • Logging:
    a) Limit backup log file - restricts the size of backup log file in kilobytes
    b) Limit configuration log file - restricts the size of configuration log file in kilobytes

Startup

This sheet allows to manage:

  • Auto start program.
  • Shortcuts for program executing

This options can apply to:

  • Current user only
  • All users

Templates

This sheet allow to manage templates (detail see create and edit templates):

  • Template file - current template, which settings is showing on this sheet
  • Description - description of current template
  • Folder - default location of root folder
  • Button "New" - create new template
  • Button "Remove" - remove current template
  • Sheet "Include files" - list of filemask of including files:
    a) Combobox "Select include mode" - define method of including files (Selected files, All)
    b) Checkbox "Include sub folders" - include sub folders into archive
  • Sheet "Exclude files" - list of filemask of excluding files

Disk drives

This sheet allow to manage removable disk drives & writeable CD/DVD drives:

  • Checkbox "Enable auto detect removable disk drives" - if checked, list of available removable disk drives and CD/DVD drives will refresh every time program starts.
    Note: permanent disk drives (which have unchecked "Auto detect" checkbox) are not checked for presence and properties.
  • Button "Detect" - this button initiate refreshing of list of available removable disk drives and CD/DVD drives.
  • Button "Property" - open property window for selected disk drive.

For edit disk drive properties:

  1. Select disk drive in list.
  2. Press button "Property" or double click left mouse button.
  3. Check "Use for default", if you want to use this removable drive as the default for writing archives.
  4. Select "Auto detect", if you need it.
    Remove this check, if you want to permanently save your settings:
    a) Size - enter disk size: in bytes (1 457 500), in kilobytes (1200 KB), in megabytes (700 MB).
    b) Direct write - check this if disk can be written directly, i.e. for example from explorer, MS WORD, etc.
    c) Enable - uncheck it, if you want disable write archives by this drive.
  5. Press OK for save changes.

Internal CD/DVD burner

Tune program for write CD/DVD.

  1. Check free disk space on CD/DVD before make disk image - if checked, the program tries get free space on CD/DVD (first in set), which must be inserted in the drive.
  2. Disk Image path - path to folder to be used for storing disk images, which will be used by internal CD/DVD burner.


Compression level

This feature allows to optimize size of archives or compression time.

There are several compression levels available:
1) No compression - recommended for backup multimedia files (*.mp3, *.mpeg, *.dat, etc) and compressed images (*.jpg, *.gif, *.png, etc)
2) Normal - best balance between archive size and compression time.
3) Fast - minimum compression time. Recommended for quick backup, especially on slow computers.
4) Maximum - using to make smallest archives. Need more time than normal compression.

Note: Fast and maximum compression level support only in Pro and Std editions.


Configure autochange disk partition for "\Backup" folder

Why is it needed?

  • Computer may have several hard disk partitions. And after summary archives size limit is exceeded, there are 2 ways to proceed:
    a) Change partition for "local HDD folder" and save new archives into it.
    Note: Previously saved archive remains in previous "Backup" folder location.
    b) Delete oldest archives, which were saved on removable disks (if it allowed in configuration - "Save only last archives set").
    The first way is safest and automatic.

Steps

  1. Open configuration window by select menu item "File | Configuration" or click on toolbar button [image].
  2. Check "Limit archives size" checkbox
  3. Select limitation type:
    a) By free space on disk.
    b) By summary archives size.
  4. Enter limit in megabytes (MB)
  5. Check "Enable save on other partition, when current is full" checkbox.
  6. Press OK for save changes.


DFIncBackup Web sites

 It is recommended that you use a frames-capable browser to view this page.

Install Internet Explorer 4.0 or Later


Registration info

Thank you for your interest in this program! The "DFIncBackup Standard" program is shareware.
The registration fee is only $29.95 for a personal license.

Online registering

  1. Buy license by using registration page on DFIncBackup web sites.
  2. After you register, key file will be send to you by email.
  3. Visit DFIncBackup web site and get latest program version.
  4. Save key file to "My Documents" folder and use menu "Help | Register" to open registration window.
  5. Select "Enter registration key" and press "OK".
  6. In registration window, enter next information:
    a) "Key" - Press button "Add key" and open your program key from folder "My Documents".
    b) "User Name"
    c) "Organization" - don't need for personal license
  7. Press "OK" to finish.

Updates

Visit "DFIncBackup Professional" web site for latest version and updates

See also:
About program
Quick start
Frequently Asked Questions (FAQ)


Quick shortcuts for manual execution of any backup project

This feature allows to create shortcuts, which will start selected backup project. This shortcuts can be created on desktop, start menu, quick start panel, autorun and any user specified folder.

To create quick shortcut:
1) Select project in project list.
2) Click right mouse button on it and select "Create Shortcut" from menu.
3) If need, change shortcut name.
4) Select backup type: "Manual selected", "Normal (incremental backup)", "Full".
5) Select placement of shortcut:
a) Desktop
b) Start menu
c) Quick lunch
d) Autorun
e) Custom folder
6) Apply shortcut to:
a) Current user only
b) All users
7) Press "OK" to create shortcut.


What is shareware?

Shareware lets you try a program for a period of time before you buy it. You can try a shareware program and test all its functions and decide if it meets your needs or not. If you use this program for a longer time than the specified trial period (30 days), you are expected to register it. A licensed version of this product can be used without time limitation. You also will receiving free program updates. Detail see in license.